package fhelp

import (
	"fmt"

	"go.wit.com/log"
)

func CheckGoModClean() bool {
	if checkCmdSimple("go-mod-clean") {
		return true
	}
	goModCleanInstructions()
	return false
}

func CheckGoModCleanExit() {
	if CheckGoModClean() {
		return
	}
	badExit(fmt.Errorf("missing go-mod-clean"))
}

func goModCleanInstructions() {
	log.Info("you are missing 'go-mod-clean' which is required")
	log.Info("")
	log.Info("you can:")
	log.Info("   go install go.wit.com/apps/utils/go-mod-clean   # if you have go")
	log.Info("")
}
